List a domain's scans
curl --request GET \
--url https://app.ilitylabs.com/v1/domains/{slug}/scans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/domains/{slug}/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/domains/{slug}/scans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"status": "<string>",
"trigger_source": "<string>",
"triggered_by_user_id": "<string>",
"config_snapshot": {},
"pages_scanned": 123,
"pages_failed": 123,
"issues_found": 123,
"score": 123,
"has_blocking": true,
"error": "<string>",
"cancel_requested_at": "2023-11-07T05:31:56Z",
"pause_requested_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}Scans
List a domain's scans
Lists scan runs for one domain, newest first.
GET
/
v1
/
domains
/
{slug}
/
scans
List a domain's scans
curl --request GET \
--url https://app.ilitylabs.com/v1/domains/{slug}/scans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/domains/{slug}/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/domains/{slug}/scans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"status": "<string>",
"trigger_source": "<string>",
"triggered_by_user_id": "<string>",
"config_snapshot": {},
"pages_scanned": 123,
"pages_failed": 123,
"issues_found": 123,
"score": 123,
"has_blocking": true,
"error": "<string>",
"cancel_requested_at": "2023-11-07T05:31:56Z",
"pause_requested_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}